# Accessing auction data

CPSR.cloud provides granular access to the auction data, which is more convenient than parsing the results of the [`state_get_auction_info`](https://docs.casper.network/developers/json-rpc/json-rpc-pos/#state-get-auction-info) Casper RPC API method, through the following APIs:

* [Get bidder](/1.1.x/rest-api/bidder/get-bidder.md)
* [Get bidders](/1.1.x/rest-api/bidder/get-bidders.md)
* [Get validator](/1.1.x/rest-api/validator/get-validator.md)
* [Get validators](/1.1.x/rest-api/validator/get-validators.md)
* [Get account delegations](/1.1.x/rest-api/delegation/get-account-delegations.md)
* [Get validator delegations](/1.1.x/rest-api/delegation/get-validator-delegations.md)
* [Get auction metrics](/1.1.x/rest-api/auction-metrics/get-auction-metrics.md)

For example, fetching account delegations can be done with the following API request:

```bash
curl -X 'GET' \
  'https://api.testnet.cspr.cloud/accounts/018afa98ca4be12d613617f7339a2d576950a2f9a92102ca4d6508ee31b54d2c02/delegations?limit=2&offset=0' \
  -H 'Accept: application/json' \
  -H 'Authorization: 55f79117-fc4d-4d60-9956-65423f39a06a'
```

```json
{
  "item_count": 129,
  "page_count": 13,
  "data": [
    {
      "bonding_purse": "uref-0ac1ba0100574729337b63b11e1f933b91d1d0f220823bef502bd8957305976b-007",
      "public_key": "018afa98ca4be12d613617f7339a2d576950a2f9a92102ca4d6508ee31b54d2c02",
      "stake": "55342872342594023",
      "validator_public_key": "017d96b9a63abcb61c870a4f55187a0a7ac24096bdb5fc585c12a686a4d892009e"
    },
    {
      "bonding_purse": "uref-917e1aeba7e7d3a322e89069e88b6e0877a59d781840c0ce8223e990e0342d42-007",
      "public_key": "018afa98ca4be12d613617f7339a2d576950a2f9a92102ca4d6508ee31b54d2c02",
      "stake": "55334239891699578",
      "validator_public_key": "0106ca7c39cd272dbf21a86eeb3b36b7c26e2e9b94af64292419f7862936bca2ca"
    },
    ...
    {
      "bonding_purse": "uref-64b18eba7bea61163415e728cc8aec51208e14c7abf29d1ce4d50d317ca43053-007",
      "public_key": "018afa98ca4be12d613617f7339a2d576950a2f9a92102ca4d6508ee31b54d2c02",
      "stake": "10101529405231091",
      "validator_public_key": "01aea86e5fccdf72daa7c65cc8b3d2ca96a006a0dcd70d3617f85fef00b9d78464"
    }
  ]
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cspr.cloud/1.1.x/documentation/highlights/accessing-auction-data.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
